<?php
if(!defined('PHPFOX')){
	define('PHPFOX', true);
}
if(!defined('PHPFOX_DS')){
	define('PHPFOX_DS', DIRECTORY_SEPARATOR);
}
if(!defined('PHPFOX_DIR')){
	define('PHPFOX_DIR', dirname(__FILE__) . PHPFOX_DS);
}

class Topcmmchat_Component_Controller_Index extends Phpfox_Component{
	public function process(){
        $oServiceFlashchat = Phpfox::getService('topcmmchat');
        $aSettings = $oServiceFlashchat->getFcSettings();
        $swfurl = $oServiceFlashchat->getChatUrl();
        		
		if ($roomId = $this->request()->get('id'))
		{
			$swfurl .= '&init_room=' . $roomId;
		}
		$title = '123 Flash Chat';
		if (Phpfox::isUser()){
			$title .= ', ' . Phpfox::getUserBy('full_name') . '! ';
		}else{
			$title .= '! ';
		}
		
		if($aSettings['fc_extendserver'] == 2){
			$chattype = 'free';
		}elseif(($aSettings['fc_extendserver'] == 0 && ($aSettings['fc_servertype'] != 1 && $aSettings['fc_clienttype'] == 1)) || ($aSettings['fc_extendserver'] == 1 && $aSettings['fc_clienttype'] == 1)){
			$chattype = 'flash';
		}else{
			$chattype = 'html';
		}
		
		
		$chat = '';
		if($aSettings['fc_fullscreen']){
			$aSettings['fc_client_width'] = '100%';
			$aSettings['fc_client_height'] = '100%';
?>
<!DOCTYPE html>
<html>
	<head>
		<meta chatset="UTF-8" />
		<title><?php echo $title;?></title>
		<style>
			html,body{height:100%;}
			body{
				margin:0;overflow:hidden;
			}
		</style>
	</head>
	<body>
<?php 
	if($chattype=='free'){
		$chat .= '<script language="javascript">';
		$chat .= 'var clientWidth = document.body.clientWidth;';
		$chat .= 'var clientHeight = window.innerHeight;';			
		$chat .= 'var htmlcode = \'<script language="javascript" src="'.$swfurl.'&width=\' + clientWidth;';
		$chat .= 'htmlcode += \'&height=\' + clientHeight + \'"></sc\';';
		$chat .= 'htmlcode += \'ript>\';';
		$chat .= 'document.write(htmlcode);';
		$chat .= '</script>';		
	}elseif($chattype == 'flash'){
		$chat .=  '<script src="'. $aSettings['fc_client_loc'] .'123flashchat.js"></script>
		<object width="'.$aSettings['fc_client_width'].'" height="'.$aSettings['fc_client_height'].'" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,19,0" id="topcmm_123flashchat" type="application/x-shockwave-flash">
			<param name=movie value="'.$swfurl.'">
			<param name=quality value="high">
			<param name="menu" value="false">
			<param name="allowScriptAccess" value="always">
			<embed src="'.$swfurl.'" width="'.$aSettings['fc_client_width'].'" height="'.$aSettings['fc_client_height'].'" allowScriptAccess="always" quality="high" menu="false" type="application/x-shockwave-flash" pluginspace="http://www.macromedia.com/go/getflashplayer"  name="topcmm_123flashchat"></embed>
		</object>';
	}else{
		$chat .= '<iframe width="'.$aSettings['fc_client_width'].'" height="'.$aSettings['fc_client_height'].'" src="'.$swfurl.'" vspale="0" scrolling="no" noresize="noresize" name="htmlchat" marginwidth="0" marginheight="0" framespacing="0" frameborder="0" border="0"></iframe>';	
	}
	echo $chat;
?>
	</body>
</html>
<?php 			
			exit;
		}else{
			$this->template()->setTitle($title)
				->setBreadcrumb($title)
	      		->assign(array(
	        		'swfurl' => $swfurl,
	        		'aSettings' => $aSettings,
	        		'chattype' => $chattype
				));
	        $this->template()->assign(array('bUseFullSite' => true));
		}
		
	}
}

?>